import request from '@/utils/request'

export default {
    login: {
        url: '/api/member/login',
        name: '用户登录',
        post: async function(params) {
            return request.post(this.url, params)
        }
    },
    logout: {
        url: '/api/member/logout',
        name: '用户登出',
        post: async function(params) {
            return request.post(this.url, params)
        }
    },
	register: {
		url: '/api/member/register',
		name: '用户注册',
		post: async function(params) {
			return request.post(this.url, params)
		}
	},
    info: {
        url: '/api/member/user',
        name: '用户信息',
        get: async function(params) {
            return request.get(this.url, {params: params})
        }
    }
}
